Name:           perl-MooseX-Role-Matcher
Version:        0.05
Release:        2%{?dist}
Summary:        Generic object matching based on attributes and methods
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Role-Matcher/
Source0:        http://www.cpan.org/modules/by-module/MooseX/MooseX-Role-Matcher-%{version}.tar.gz
# This issue is published as https://rt.cpan.org/Public/Bug/Display.html?id=70245
# The updated license has been taken from http://www.gnu.org/licenses/gpl-1.0.txt
Patch0:         perl-MooseX-Role-Matcher-0.05-GPL.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(MooseX::Role::Parameterized) >= 0.03
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This role adds flexible matching and searching capabilities to your Moose
class. It provides a match method, which tests attributes and methods of
your object against strings, regexes, or coderefs, and also provides
several class methods for using match on lists of objects.

%prep
%setup -q -n MooseX-Role-Matcher-%{version}
%patch0 -p1 -b .GPL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Aug 13 2011 Andy Shevchenko <andy.shevchenko@gmail.com> - 0.05-2
- passed review (#714507)
- update license accordingly to a reviewer comment

* Sun Jun 19 2011 Andy Shevchenko <andy.shevchenko@gmail.com> - 0.05-1
- update to the recent release

* Sat Jan 03 2009 Andy Shevchenko <andy@smile.org.ua> 0.01-1
- clean up specfile to include into Fedora
- Specfile autogenerated by cpanspec 1.77.
